global function LoadoutSlotRandomizerInit
global function LoadoutSlotRandomizerSettings

void function LoadoutSlotRandomizerSettings()
{
	#if UI
	AddConVarSettingEnum("randomize_selected_pilot_loadout", "Randomly pick pilot slot on death", "Random Loadout Picker", [ "No", "Yes" ])
	AddConVarSettingEnum("randomize_selected_titan", "Randomly pick titan slot on death", "Random Loadout Picker", [ "No", "Yes" ])
	#endif
}

void function LoadoutSlotRandomizerInit()
{
	#if CLIENT
	AddOnDeathCallback( "player", RandomizeSlot )
	#endif
}

#if CLIENT
array <int> availablePilotLoadouts = [0,1,2,3,4,5,6,7,8,9]
array <int> availableTitanLoadouts = [0,1,2,3,4,5,6]
#endif

void function RandomizeSlot(entity player)
{
	#if CLIENT
	if(player == GetLocalClientPlayer())
	{
		if(GetConVarInt("randomize_selected_pilot_loadout") == 1)
		{
			GetLocalClientPlayer().ClientCommand( "RequestPilotLoadout " + availablePilotLoadouts.getrandom() )
			GetLocalClientPlayer().ClientCommand( "InGameMPMenuClosed 1 0" )
		}
		if(GetConVarInt("randomize_selected_titan") == 1)
		{
			GetLocalClientPlayer().ClientCommand( "RequestTitanLoadout " + availableTitanLoadouts.getrandom() )
			GetLocalClientPlayer().ClientCommand( "InGameMPMenuClosed 0 1" )
		}
		
	}
	#endif
}